JUCE: AudioData::ConverterInstance< SourceSampleType, DestSampleType > Class Template Reference

JUCE

Public Member Functions | List of all members
AudioData::ConverterInstance< SourceSampleType, DestSampleType > Class Template Reference
juce_audio_basics » buffers

A class that converts between two templated AudioData::Pointer types, and which implements the AudioData::Converter interface. More...

`#include <juce_AudioDataConverters.h>`

Inheritance diagram for AudioData::ConverterInstance< SourceSampleType, DestSampleType >:

## Public Member Functions
| ConverterInstance (int numSourceChannels=1, int numDestChannels=1)
void | convertSamples (void *dest, const void *source, int numSamples) const override
| Converts a sequence of samples from the converter's source format into the dest format. More...
void | convertSamples (void *dest, int destSubChannel, const void *source, int sourceSubChannel, int numSamples) const override
| Converts a sequence of samples from the converter's source format into the dest format. More...
Public Member Functions inherited from AudioData::Converter
virtual | ~Converter ()=default
virtual void | convertSamples (void *destSamples, const void *sourceSamples, int numSamples) const =0
| Converts a sequence of samples from the converter's source format into the dest format. More...
virtual void | convertSamples (void *destSamples, int destSubChannel, const void *sourceSamples, int sourceSubChannel, int numSamples) const =0
| Converts a sequence of samples from the converter's source format into the dest format. More...

## Detailed Description

template<class SourceSampleType, class DestSampleType>
class AudioData::ConverterInstance< SourceSampleType, DestSampleType >

A class that converts between two templated AudioData::Pointer types, and which implements the AudioData::Converter interface.

This can be used as a concrete instance of the AudioData::Converter abstract class.

See also
  AudioData::Converter

## Constructor & Destructor Documentation

## ◆ ConverterInstance()

template<class SourceSampleType , class DestSampleType >

AudioData::ConverterInstance< SourceSampleType, DestSampleType >::ConverterInstance | ( | int | numSourceChannels = `1`,
|  | int | numDestChannels = `1`
| ) |  |

## Member Function Documentation

## ◆ convertSamples() [1/2]

template<class SourceSampleType , class DestSampleType >

void AudioData::ConverterInstance< SourceSampleType, DestSampleType >::convertSamples | ( | void * | destSamples,
|  | const void * | sourceSamples,
|  | int | numSamples
| ) |  | const
| overridevirtual

Converts a sequence of samples from the converter's source format into the dest format.

Implements AudioData::Converter.

References gl::s, and gl::source.

## ◆ convertSamples() [2/2]

template<class SourceSampleType , class DestSampleType >

void AudioData::ConverterInstance< SourceSampleType, DestSampleType >::convertSamples | ( | void * | destSamples,
|  | int | destSubChannel,
|  | const void * | sourceSamples,
|  | int | sourceSubChannel,
|  | int | numSamples
| ) |  | const
| overridevirtual

Converts a sequence of samples from the converter's source format into the dest format.

This method takes sub-channel indexes, which can be used with interleaved formats in order to choose a particular sub-channel of the data to be used.

Implements AudioData::Converter.

References addBytesToPointer(), jassert, gl::s, and gl::source.

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h